### A free/open-source library for quantitative finance

Classes
ql/math/interpolations/interpolation2d.hpp File Reference

abstract base classes for 2-D interpolations More...

`#include <ql/math/interpolations/extrapolation.hpp>`
`#include <ql/math/comparison.hpp>`
`#include <ql/math/matrix.hpp>`
`#include <ql/errors.hpp>`
`#include <ql/types.hpp>`
`#include <vector>`
Include dependency graph for interpolation2d.hpp:

## Classes

class | Interpolation2D
| base class for 2-D interpolations. More...
class | Interpolation2D::Impl
| abstract base class for 2-D interpolation implementations More...
class | Interpolation2D::templateImpl< I1, I2, M >
| basic template implementation More...

## Detailed Description

abstract base classes for 2-D interpolations